using MongoDB.Bson;

namespace adas_core.Domain.Models.Responses;

public class BeaconResponse(string color, ObjectId poc, ObjectId unitId) : IEquatable<BeaconResponse>
{
    private string Color { get; } = color;
    private ObjectId PointOfCareId { get; } = poc;

    private ObjectId UnitId { get; } = unitId;

    public bool Equals(BeaconResponse? other)
    {
        return PointOfCareId == other?.PointOfCareId && UnitId == other.UnitId;
    }

    public override string ToString()
    {
        return "BeaconResponse[pointOfCare: " + PointOfCareId + ", bed: " + UnitId + ", color: " + Color + "]";
    }
}